﻿:root {
    font-family: "Arial", sans-serif;
    font-size: 17px;

    --bleu-accessible: #0075a8
}

h1 {
    font-size: 48px;
}

h2 {
    font-size: 22px;
}

header h2 {
    font-size: 24px;
}

header, h1, h2 {
    font-weight: 700;
}

h1, h2, p, ul {
    margin: 0;
    margin-block: 0;
    padding: 0;
}

ul {
    list-style: none;
}

a {
    color: var(--bleu-accessible);
}

body {
    height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 32px;
    text-align: center;
    margin: 0;
}

.oups {
    padding-bottom: 40px;
    border: solid #d6d6d6;
    border-width: 0 0 1px 0;
}

.oups, .oups header {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.contact {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;

    ul, li {
        display: flex;
        gap: 16px;
    }

    ul {
        flex-direction: column;
    }

    li {
        text-align: start;
        align-items: center;
    }
}

@media (min-width: 880px) {
    header h2 {
        font-size: 19px;
    }

    h1 {
        font-size: 96px;
    }

    body {
        flex-direction: row;
        gap: 65px;
        text-align: start;
    }

    .oups {
        width: 468px;
        border-width: 0 1px 0 0;
    }

    .oups, .oups header {
        gap: 18px;
    }

    .contact {
        align-items: start;
    }
}
